Setting an invalid mount point can make a removeable media unaccessible

Bug #107668 reported by Joachim Sauer
162
This bug affects 11 people
Affects Status Importance Assigned to Milestone
gnome-mount
Expired
Critical
gnome-volume-manager
Invalid
Undecided
Unassigned
gnome-mount (Ubuntu)
Fix Released
High
Martin Pitt
Jaunty
Fix Released
High
Martin Pitt
gnome-volume-manager (Ubuntu)
Invalid
Undecided
Unassigned
Jaunty
Invalid
Undecided
Unassigned

Bug Description

Binary package hint: gnome-volume-manager

When accessing the properties of a mounted media and changing the mount point option on the "Volume"-Tab, one can set a mount point to use for that volume. It seems that this only referes to the last part of the "real" mount point, so one is expected to enter "foo" when the volume should be mounted on "/media/foo". This might be better for novice user, but I tried entering "/media/foo", which was accepted without a problem. Unfortunately when re-plugging the device back in it a warning dialog pops up that says "Cannot mount volume. Unable to mount volume" . When clicking details the message "mount_point cannot contain the following characters: newline, G_DIR_SEPERATOR (usually /)".

Only changing the key /system/storage/volumes/_org_freedesktop_Hal_devices_voume_uuid_*/mount_point" to "foo" (or anything else without newlines and /) enables me to use the usb-stick again.

I suggest two changes:

* The properties dialog should check for valid values and not allow a "/" to be entered
* The volume should be mounted in its default location, if the user specified location is not valid.

Tags: bitesize

Related branches

Revision history for this message
Sense Egbert Hofstede (sense) wrote :

Thank you for your report. I can confirm this at an up-to-date feisty amd64.
I think the first point you mentioned is a bug(if you aren't familiar computers, you wouldn't be able to solve it)
The second point is more a wish list, although it is a sort of backup safety.

Changed in gnome-volume-manager:
status: Unconfirmed → Confirmed
Revision history for this message
Montgomeryje (montgomeryjamesearl) wrote :

Where's the referenced key?
"/system/storage/volumes/_org_freedesktop_Hal_devices_voume_uuid_*/mount_point"
I've been digging through my system looking for it but not having any luck.
I've got an external harddrive that's pretty much useless right now because I tried to change it's mount point.

Revision history for this message
Joachim Sauer (saua) wrote :

It's a gconf key. You'll have to use a tool such as gconf-editor to find and edit it.

Revision history for this message
Montgomeryje (montgomeryjamesearl) wrote : Re: [Bug 107668] Re: Setting an invalid mount point can make a removeable media unaccessible

Thanks,
That fixed it for me. Plus, now that I know about gconf-editor, I've
got a new toy to mess with.

Jim Montgomery
2nd BCT FSR, Ft Stewart, GA
912-313-5978
<email address hidden>

Joachim Sauer wrote:
> It's a gconf key. You'll have to use a tool such as gconf-editor to find
> and edit it.
>
>

Revision history for this message
TennesseeJed (bkeane) wrote :

I've noticed this behavior on my Feisty 7.04 install. To recreate this problem for yourself, do the following:

1) Connect a USB storage device (or any device that creates a "drive" icon on the desktop)
2) Right-click the desktop icon for the device once the system has mounted it and click Properties
3) Under the "Drive" tab, you'll find a text field labeled "Mount Point"
4) Type a typical mount point here, like /mnt/jump_drive or /media/jump_drive

Any time I've ever dealt with a mount point, it has always been a full path. Why is it different now?

I agree with Joachim's initial recommendations.

Revision history for this message
Michele (mikelito) wrote :

I confirm the bug on Feisty.
I can add that the whole volume properties dialog is prone to lock up the drive, and
poorly documented at best.
I tried to change the default mount options
 (it is mounting my ext3-formatted external HD noexec, and that's definitely not what I'd want to),
I cannot understand in which format I should use (comma serparated? space separated?), anyway
I am doing wrong, and this also causes the drive not to mount.
Again gconf-editor adjustment is required.
At least a warning for the unexperienced user is definitely a must.

Revision history for this message
guidoman (guido-casiraghi) wrote :

I confirm the bug on Feisty. I regard this as a serious problem. I also agree that the Settings section of the Drive and Volume tabs is unusable. What does File System stand for?

Revision history for this message
SageMassa (jedd.bissegger) wrote :

Same as above gconf-editor corrected this as discribed

Revision history for this message
Tom Zimmermann (artist56) wrote :

with me its not an external drive but an internal one and it shows in the ls:
tom@tom-main:~$ ls -l /dev/disk/by-id
insgesamt 0
lrwxrwxrwx 1 root root 9 2007-05-29 12:21 ata-HL-DT-ST_DVDRAM_GSA-H10A_B272E458 9C57 -> ../../hdc
lrwxrwxrwx 1 root root 9 2007-05-29 12:21 ata-Maxtor_6L080L0_L21LEJ0H -> ../../ hdb
lrwxrwxrwx 1 root root 10 2007-05-29 12:21 ata-Maxtor_6L080L0_L21LEJ0H-part1 -> ../../hdb1
lrwxrwxrwx 1 root root 10 2007-05-29 12:21 ata-Maxtor_6L080L0_L21LEJ0H-part5 -> ../../hdb5
lrwxrwxrwx 1 root root 9 2007-05-29 12:21 ata-WDC_WD1600BB-22GUA0_WD-WCAL920610 93 -> ../../hda
lrwxrwxrwx 1 root root 10 2007-05-29 12:21 ata-WDC_WD1600BB-22GUA0_WD-WCAL920610 93-part1 -> ../../hda1
lrwxrwxrwx 1 root root 10 2007-05-29 12:21 ata-WDC_WD1600BB-22GUA0_WD-WCAL920610 93-part2 -> ../../hda2
lrwxrwxrwx 1 root root 10 2007-05-29 12:21 ata-WDC_WD1600BB-22GUA0_WD-WCAL920610 93-part5 -> ../../hda5

 hdb is the one i cannot mount and in gconf-editor it does not show neither under sudo nor regular...

Revision history for this message
Ar Bri (har4-deactivatedaccount) wrote :

I'm kinda new around here, can anyone help me to fix this bug?

Thanks,
HA

Revision history for this message
Nicolas Valcarcel (nvalcarcel) wrote :

I will try to make a patch to validate the data and not to permit "/" values when i have my ubuntu on hands :D

Revision history for this message
Nicolas Valcarcel (nvalcarcel) wrote :

i think gnome-volume-manager isn't the right package, the properties menu is from other package i think nautilus i will keep searching

Revision history for this message
Nicolas Valcarcel (nvalcarcel) wrote :

First i have change the "Mount Point:" label to be clear im attaching the patch for the .glade

It use to say: "Mount point:"
Now it says: "Mount point in /media:"

Revision history for this message
Michele (mikelito) wrote :

thanks to nicolas for trying to make the interface less misleading; while you are at it, if you discover why specifying additional mount options causes the mount to fail, no matter what the option format, please post it here! (I understand that probably this would be a bit more hard than tweaking the interface, but just in case...)
thank you again!

Revision history for this message
Nicolas Valcarcel (nvalcarcel) wrote :

ok, i will check it, now i'm trying to check the string, and if it has "/" send a warning and replace it with "_".

Revision history for this message
Nicolas Valcarcel (nvalcarcel) wrote :

i'm attaching a new patch, i'm not sure about it, please check it and correct. I'm not really comfortable with C

Revision history for this message
Michele (mikelito) wrote : Re: [Bug 107668] Re: Setting an invalid mount point can make a removeable media unaccessible

seems fine. is there a reason why you create a copy of the string?

text = gtk_editable_get_chars (editable, 0, -1);
char *p;
p=text;
while (*p) { if (*p=='/') *p='_'; ++p; }

should work as well, if textorig is not needed anywhere else

cheers
michele

On Thu, 2007-06-21 at 22:50 +0000, Nicolas Valcárcel wrote:
> i'm attaching a new patch, i'm not sure about it, please check it and
> correct. I'm not really comfortable with C
>
> ** Attachment added: "patch"
> http://launchpadlibrarian.net/8156007/gnome-mount-0.5.patch
>

Revision history for this message
Martin Pitt (pitti) wrote :

Nicolas,

thanks for your initial work. First, some comments to the patch so far:

 - gtk_editable_get_chars() (just like all glib/gtk functions) already return a copy of the string, no need to copy it again. So you can simplify the loop like Mikele said.

   Just for some bikeshedding, I think that a for loop is a bit easier to read:

   for (p = text; *p; ++p)
       if (*p=='/') *p='_';

   But that's just a matter of style.

 - Right now it seems that the modified string is never actually written back to the input line? This should happen, so that the user sees the correction.
 - The loop should set a flag if it replaced any character. If so, then there should be a gtk_message_dialog which points out the error.
 - You need to g_free() the string you received from gtk_editable_get_chars() after having finished working with it.

Happy hacking!

Revision history for this message
phoenix (phoenix-art) wrote :

I have the same problem, when I insert a DVD disc. This is the error message: Cannot mount volume. Invalid mount option when attempting to mount the volume 'Lemezem'.

How can I use the patch for it? THANKS.

-phoenix-

Revision history for this message
Alex Wilkes (alex-wilkes) wrote :

I can't locate this key:
"/system/storage/volumes/_org_freedesktop_Hal_devices_voume_uuid_*/mount_point"

gconf in root or my user doesnt show the volumes folder, only default options.

any ideas?

Revision history for this message
Slight Slightly (slight--deactivatedaccount) wrote :

Do these changes only take effect after the drive is manually remounted (via hotplug for USB devices I presume)? If so this should probably be made clear also. The layout of the tab implied to me that gnome would do whatever was necessary to make the change when I close the dialogue.

Revision history for this message
Martin Pitt (pitti) wrote :

Hi Tolan,

Tolan Blundell [2007-07-22 12:50 -0000]:
> Do these changes only take effect after the drive is manually remounted
> (via hotplug for USB devices I presume)?

Yes. Changing the mount point on the fly is tricky at best, and could
confuse/crash applications.

Revision history for this message
Mahyuddin Susanto (udienz) wrote :

hi Martin Pitt,

so if we can unmount volume we must close all apps from system??

Revision history for this message
Martin Pitt (pitti) wrote :

hi,

Mahyuddin Susanto [2007-07-23 13:39 -0000]:
> so if we can unmount volume we must close all apps from system??

No, you just need to close all files which are stored on the volume
you are going to unmount.

Revision history for this message
Mahyuddin Susanto (udienz) wrote :

thanks Martin Pitt,
if the USB disk mounted twice i.e on /media and /home/blah-blah/usb, is the program work corectly??

Revision history for this message
Martin Pitt (pitti) wrote :

That shouldn't happen. Mounting a disk twice is very evil, and it shuold not be possible with the GUI tools. You can do it manually as root, of course, but then you are on your own.

Revision history for this message
Bhavesh Patel (bhav-giest) wrote :

Hey Alex Wilkes,

A little late for you, but hopefully it will help other people.

If you can't find the key "/system/storage/volumes/_org_freedesktop_Hal_devices_voume_uuid_*/mount_point"

You are running 'gconf-editor' as root. (it doesn't exist if you run it as root).
Run 'gconf-editor' as yourself, and then you will see the key

Revision history for this message
Ioannis Ramfos (isr81) wrote :

Another way to correct the mount point, apart from using gconf-editor, is to manually mount the partition from the command line, so that the drive and volume properties are accessible from nautilus again via right clicking.

Revision history for this message
Martin Pitt (pitti) wrote :

Not a g-v-m bug.

Changed in gnome-volume-manager:
status: New → Invalid
Changed in gnome-volume-manager:
status: Unknown → New
Revision history for this message
fillibar (snell-drdsnell) wrote :

I was able to restore access to my drive, but noticed something that is still an issue... When I enter "disk" (no quotes) in gconf it appears as "disk_"... There is no /, and no end of line characters...

Revision history for this message
Martin Pitt (pitti) wrote :

fillibar, the _ issue you mention is bug 101845 (most likely).

Revision history for this message
GreatBunzinni (greatbunzinni) wrote :

I confirm this bug in Ubuntu 8.04-beta

Revision history for this message
Diego Alcántara (diego-faz) wrote :

I confirm this bug un Ubuntu 8.04 LTS.
For those who can't mount any drive i suggest editing with gconf the key "/system/storage/volumes/_org_freedesktop_Hal_devices_voume_uuid_*/mount_point" as stated by Joachim Sauer

Revision history for this message
Derek (derek-general+ubuntu) wrote :

Thanks to everyone on the post who helped me work around the same issue (using Ubuntu 8.04 LTS), particularly Joachim and Bhavash.

Revision history for this message
Rykel from Singapore (rykel98) wrote :

Hi,

I am also facing this problem with the Huawei E270 device after upgrading to Ubuntu 8.04 LTS.

However, I am not sure what I should do after reading Joachim's solution... do I simply delete the whole key and replace it with the word, "foo"? Or just replace the phrase, "/mount_point", with "foo"?

Thanks for helping.

Revision history for this message
Chris Dieringer (cdaringe) wrote :

Hi fellers,

To baby those who are onlookers in desperate search of a solution (i'm running Hardy)...

open a terminal.
type "gconf-editor"
click your way to "/system/storage/volumes/_org_freedesktop_Hal_devices_..."
you should now see mount point, and its value

You can do something here and get your drive to work, yes. However, if you have programs with calls to that drive before you got a bunch of wacko underscores (_), you'd probably like to return your drive to its original mount point. If you dont, click the value field, and just erase the text. Plug your drive back in and you are golden. exit out of your terminal and rock on. if you do want to get things back to their original state...

In my /media directory existed:
/CDback
/CDback_
/CDback__
/Mint
/Mint_
/Mint__

In my drive, I have two partitions. I would like to see them always mount to /CDback and /Mint.

Be careful here. I did a quick "gksudo thunar" (or gksudo nautilus), and erased ONLY those mount directories which were related to my drive. you dont want to erase your standard hard drive's mounting point, or your CD-ROM etc etc etc (sda,hda,cdrom,cdrom0,etc). Many a folk will likely scold me for even mentioning doing this. a sudo rm MOUNT-DIRECTORY would suffice for each sloppy underscored directory as well. return to gconf-editor and remove the text from the 'value' field.

exit, plug back in...BAM! brilliant.

Thank these brainiacs above.

Revision history for this message
arkmundi (rkerver) wrote :

OK, this last comment from cdaringe on 2008-05-09 fixed my problem - thank you! I'm an Ubuntu noob trying to do some, what I thought were, simplistic things. I got trapped by attempting to change the volume mount point, as described. Then spent the better part of a day, reading forum posts, trying things to fix my problem, etc. before coming to this post. Two things: first, thanks again; second - I'd consider a fix a must in 8.04 LTS. I believe there are a lot of noobs who stumbed into this hole and were trapped until they found a way to claw their way out. FYI, my external USB Seagate Freeagent drive is my data repository and I'm useless without it. Hence, no option for me but claw and claw again.

Revision history for this message
Paulo Simões (plsimoes-jonline) wrote :

I've got the same problem. I don't know what I did, but a fat32 partition became impossible to mount, as described above. I'v followed your advices and now everything is ok.
Being a recent user of linux, I must say that I'm very impressed with the way you face problems. Thank you very much!

Revision history for this message
TheCraiggers (thecraiggers) wrote :

Looks like something changed... all I have under my /system/storage key is default_options, and this has nothing that seems to refer to the problem. Searching in gconf-editor have so far turned up zilch. Anybody have an idea?

Revision history for this message
TheCraiggers (thecraiggers) wrote :

OK, nevermind. I assumed you had to be root to do this, but actually the volumes settings will NOT show up unless you run as user.

Revision history for this message
barney_lpf (forae) wrote :

I'm hitting this error when mounting one particular USB thumb drive.
However, gconf-editor shows only system|storage||default_options no matter how I run it.
Is there an alternative method?

Revision history for this message
barney_lpf (forae) wrote :

Resolved. dmesg|tail showed a failure on 'check'. I looked at fstab, found the entry, removed the check instruction. Now it mounts properly & I can access the data on it. Sorry, I forgot about dmesg output <sigh />.

Revision history for this message
richardbaxterseo (richard-baxter) wrote :

Thankyou so much for this post. This bug is so badly documented and there's so little info on the problem. I'll write a post on my blog and reference this post when I get a second. Thanks once again.

Revision history for this message
fhsm (thmpub) wrote :

Thanks for starting this. I found this problem difficult to solve and poorly documented. After spending a good bit of time working out a couple of approaches to solving the problem I've posted what I think is a best workaround / solution in the Ubuntu forums at: http://ubuntuforums.org/showpost.php?p=5530231&postcount=44

Revision history for this message
kassa! (kbabeatbox) wrote :

many thanks to cdaringe (and all those who helped ).
cleared that one up for me!
:D

Revision history for this message
Javier Lorenzana (skqr) wrote :

IF YOU CAN'T ACCESS YOUR EXTERNAL STORAGE DEVICE BECAUSE OF THIS . . .

You are a dopey. Kidding, happend to me as well just now.

Here's what you do;

- Open a terminal.

- Type "sudo fdisk -l", and try to recognize what the path to your device is.
HINT : If you just inserted it, it should be the last. The path should be something like "/dev/sdc1".

- Create a folder to mount your device on, type "sudo mkdir /media/name_of_new_folder".

- Mount your device by typing "sudo mount /dev/[your_device] /media/[your_folder]".

- Go to your desktop, there's an icon there for your device now. Just right-click it and erase your entry in the "Volume" tab, or fix it, or whatever.

- Go back to the terminal and type "sudo umount /media/[your_folder]".

- Try mounting it regularlly, thourgh Nautilus.

- Should it work, smile =)

Revision history for this message
escapedturkey (escapedturkey) wrote :

I fixed mine by editing /etc/fstab -- it had some permanent entry for the usb stick. I removed that (sudo gedit /etc/fstab) and that fixed it. I recommend the above GUI options if you want to be safe. :)

Revision history for this message
Giovanni Mellini (merlos) wrote :

I'm on Intrepid and the bug still exists.

Fix the gfconf key wfm

Giovanni

Revision history for this message
ironstorm (ironstorm-gmail) wrote :

Sigh... I was just bitten in the butt by this retardiness ... I changed my volume mount point to 'XP_HDD' for my Windows mount, umounted and tried to remount only to be told "mount_point cannot contain the following characters: newline, G_DIR_SEPERATOR (usually /)"...

I'm pretty disappointed on 2 counts:
a) something like that has no entry validation to prevent users from putting in stuff it chooses to regard as invalid later
b) there is no way to actually fix the problem using menus or dialogs relating to the FS volume icon

I guess I'll have to go digging through the windows^H^H^H gnome regedit gconf-editor to try to find whatever key holds this thing and fix it... :(

Revision history for this message
pheeror (pheeror) wrote :

Yes, I can confirm the bug in intrepid.

The "a" problem seems very easy to fix.

btw. another workaround:
1) mount it manually
 mkdir /media/tmp
 mount /dev/sd<letter><numeral> /media/tmp (e.g. mount /dev/sdb1 /media/tmp)
2) correct the mount point
3) umount/mount using gnome

Revision history for this message
pheeror (pheeror) wrote :

Hi,
the attached patch won't let a user set an invalid location. But it need to be polished a little and localization support should be added (now, the info text is hardcoded).

Revision history for this message
Portable-Jim (christian-chess-geek) wrote :

Running Hardy (8.04) and problem still exists for me.

Thankfully, the solution of editing "/system/storage/volumes/_org_freedesktop_Hal_devices_..." and deleting the stuff worked.

Note: I actually had a slightly different problem than the original bug report - I put the wrong mount options.

Revision history for this message
Sven Müller (svenho) wrote :

Bug still exists in Ubuntu 8.10

Revision history for this message
Gias Kay Lee (gsklee) wrote :

Another one who have just fallen into the trap here. This really isn't a big bug, why not fixing it pronto?

Revision history for this message
ahuffman (huffdade) wrote :

To fix, open up gconf-editor. The key is under system>volumes

Remove the trouble key and you will be functioning.

Revision history for this message
kolen (incredible-angst) wrote :

I have no gconf key system/storage/drives/ because I have never changed mount point of any of drives. But I also have this problem, when I insert ANY usb flash drive or even SD card, gnome invokes autostart and displays "Invalid mount option when attempting to mount the volume." Note that it does not display volume name.
When I try to open the drive in computer:/// in Nautilus, it shows the same error message.

"Properties" dialog of drive in Nautilus does not have "Volume" tab.

When I tried to mount manually to /media/disk it mounts and I can see and open it in Nautilus. Volume and Drive tabs appear, but "mount point" text field is empty. After unmounting (through umount from root, because it does not work in Nautilus when mounted manually) I still cannot mount it through gnome and still get "Invalid mount option when attempting to mount the volume" message.
Still there is no system/storage/drives/ in gconf after that manipulations.

Mounting in KDE works.

Ubuntu 8.10 amd64.
Gnome 2.24.1 Build Date: 24.10.2008
gnome-mount 0.8-1ubuntu1.
hal 0.5.11-4ubuntu4
linux 2.6.27-9-generic #1 SMP

Revision history for this message
Bazon (bazonbloch) wrote :

Just letting you know:
I also fell into this trap by mis-typing mount optinons.
Problem solved thnak to this bugreport.

Revision history for this message
pheeror (pheeror) wrote : Re: [Bug 107668] Re: Setting an invalid mount point can make a removeable media unaccessible

Why the hell do maintainers still ignore this bug? There are many
patches attached, plethora of confirmations, but maintainers seem not
to give a damn :-(

On Fri, Feb 13, 2009 at 4:19 PM, Bazon <email address hidden> wrote:
> Just letting you know:
> I also fell into this trap by mis-typing mount optinons.
> Problem solved thnak to this bugreport.
>
> --
> Setting an invalid mount point can make a removeable media unaccessible
> https://bugs.launchpad.net/bugs/107668
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Revision history for this message
pheeror (pheeror) wrote :

Why the hell do maintainers still ignore this bug? There are many
patches attached, plethora of confirmations, but maintainers seem not
to give a damn :-(

Revision history for this message
Luke Faraone (lfaraone) wrote :

Lukas: I'll prepare a debdiff for a sponsor to upload.

Revision history for this message
pheeror (pheeror) wrote :

thanks luke :-)

Revision history for this message
Sebastien Bacher (seb128) wrote :

that's not a gnome-volume-manager bug

Changed in gnome-mount:
importance: Undecided → High
Changed in gnome-volume-manager:
importance: Unknown → Undecided
status: New → Invalid
Changed in gnome-mount:
assignee: nobody → desktop-bugs
milestone: none → ubuntu-9.04-beta
Changed in gnome-mount:
status: Unknown → New
Revision history for this message
Martin Pitt (pitti) wrote :

Will take a look at it soon.

Changed in gnome-mount (Ubuntu Jaunty):
assignee: desktop-bugs → pitti
status: Confirmed → In Progress
milestone: ubuntu-9.04-beta → none
Revision history for this message
Gonzalo Núñez (gnunezr) wrote :

Hi.

   I have kindda fixed it. Interpid 64 bit here, changed a bit the glade xml file to add an icon with a tooltip explaining the mount point is based on /media/ and changed the code to display an error message if the user enters a '/' in the Mount Point edit box.

   Not sure how to proceed from here, though :-)

Revision history for this message
Martin Pitt (pitti) wrote :

OK, I got the patch perfect now. It avoids string changes and error dialogs, adds the /media/ prefix in glade, and dynamically replaces '/' with '_'.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-mount - 0.8-1ubuntu5

---------------
gnome-mount (0.8-1ubuntu5) jaunty; urgency=low

  * 02_typos.patch: Add ubuntu/upstream tags.
  * Add 03_mount_point_configuration.patch: Point out that mount point is
    relative to /media, and replace '/' with '_' in configured mount
    point, to prevent the user from locking herself out of the device.
    (LP: #107668)

 -- Martin Pitt <email address hidden> Mon, 30 Mar 2009 15:25:13 +0200

Changed in gnome-mount:
status: In Progress → Fix Released
Revision history for this message
Bazon (bazonbloch) wrote :

What about the same problem with mount OPTIONS?
Is that fixed also?
Or should we file a new bug for that?

Revision history for this message
Martin Pitt (pitti) wrote : Re: [Bug 107668] Re: Setting an invalid mount point can make a removeable media unaccessible

Bazon [2009-03-30 14:03 -0000]:
> What about the same problem with mount OPTIONS?
> Is that fixed also?

No, it's not. Writing a validity checker for mount options is a much
bigger task.

> Or should we file a new bug for that?

It probably needs to be fixed in an entirely different way, such as
allowing to change the options if the mount failed.

However, NB that gnome-mount will go away upstream soon, so upstream
won't invest resources into fixing gnome-mount any more. For
Canonical/Ubuntu community, this is too much effort for a too small
bug to be worthwhile spending much time on, too. But if anyone wants
to work on this, please go ahead, of course. :-)

Revision history for this message
Jeremy Nickurak (nickurak) wrote :

Can the same fix go into intrepid, and/or hardy if it's affected as well?

Changed in gnome-mount:
status: New → Confirmed
Changed in gnome-mount:
importance: Unknown → Critical
status: Confirmed → Expired
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.